$ErrorActionPreference = 'Stop'; # stop on all errors

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url = 'https://win-installers.admobilize.com/admobilize-viewer/admobilize-desktop-ui-0.1.1-win32-ia32.msi'
$url64 = 'https://win-installers.admobilize.com/admobilize-viewer/admobilize-desktop-ui-0.1.1-win32-x64.msi'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  url64         = $url64
  softwareName  = 'admobilize-viewer*'
  checksum      = '4A83697059BC757089EEBB5D8F3C15429C55AE77DE70E568B2013DAD8CB5BB1B'
  checksum64    = '9751CFC445E5B83A3202B16BAEE3763C2EF06432B2836E42798172663C14DB1F'
  checksumType  = 'sha256'
  silentArgs    = "/quiet"
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
Install-ChocolateyPath "${env:ProgramFiles(x86)}\AdMobilize Viewer" -PathType 'Machine'
